# Class BusinessException

Namespace
  adas_core.Domain.Exceptions

Assembly
  adas-core.Domain.dll

Represents an exception that aggregates one or more errors related to business logic or domain rule violations.

    public class BusinessException : AggregateException, ISerializable

Inheritance
  object
  Exception
  AggregateException
  BusinessException

Implements
  ISerializable

Derived
  LoginServicesException
  LoginServicesNotFoundException
  UserNotFoundException

Inherited Members
  AggregateException.Flatten()
  AggregateException.GetBaseException()
  AggregateException.Handle(Func<Exception, bool>)
  AggregateException.ToString()
  AggregateException.InnerExceptions
  AggregateException.Message
  Exception.GetType()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### BusinessException(HttpStatusCode, string)

    public BusinessException(HttpStatusCode status, string message)

#### Parameters

`status` HttpStatusCode
`message` string

### BusinessException(string, Exception)

    public BusinessException(string message, Exception exception)

#### Parameters

`message` string
`exception` Exception